Subject: bug#24891: 25.1: Falsehood on page "Major Modes" of Emacs manual.

From: Drew Adams <[email-masked]>
Date: Mon, 7 Nov 2016 12:51:02 -0800 (PST)

> >      and we can drop the comma before "prior".
> 
> Maybe, maybe not.  The bit beginning with "prior" isn't qualifying
> what comes before, it's adding an extra bit of independent information,
> so the comma is justified.

I don't agree.  It is not an independent clause - it cannot stand
alone.  It is an adverbial clause that qualifies how (when) the modes
run the p-g-m hook.

> > And I'm not sure why we need to or should say "(including...)".
> > Why?
> 
> I'm told there are users who put things in prog-mode-hook to get
> effects in (nearly) all programming modes.  It will avoid confusing
> them.

OK.

> Also, on a purely pragmatic point, the "(including...)" bit is likely to
> reduce objections to my proposed change, allowing it to get into Emacs 25.2
> more smoothly.

;-)

> > I'd suggest just this:
> 
> >   many programming language modes run `prog-mode-hook' before
> >   running their own mode hooks
> 
> > Or even "some" instead of "many".  What does it matter how
> > many do this?
> 
> "Some" is not incorrect, but it's not quite accurate either.  "Some"
> tends to carry connotations of "not that many" in English when a
> context hasn't been established.

Tends to?  No, I don't think so.  Can?  Sure.  But without context
"some" suggests only at least one.  It contrasts with none, not with
many.  "Only some" (esp "only a few"), on the other hand, is as you say.

> I think it's the case that most
> programming language modes are now derived from prog-mode, so "many"
> warns users to be aware of exceptions.

Fair enough.  I'd still use "some", as it tends to have the effect of
soliciting examination of whether to do so (when you write a mode),
and to think about why and why not.  Thinking about whether & why is
more important than how many might use it.

Anyway, these are all minor points, and I don't feel strongly about
any of them.